Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Interface MonoLibrary.MonoGCEvent

Enclosing interface:
  MonoLibrary

    public static interface MonoLibrary.MonoGCEvent

native declaration : mono\metadata\profiler.h
enum values

Field Summary
`static int` | `MONO_GC_EVENT_END`
`static int` | `MONO_GC_EVENT_MARK_END`
`static int` | `MONO_GC_EVENT_MARK_START`
`static int` | `MONO_GC_EVENT_POST_START_WORLD`
`static int` | `MONO_GC_EVENT_POST_STOP_WORLD`
`static int` | `MONO_GC_EVENT_PRE_START_WORLD`
`static int` | `MONO_GC_EVENT_PRE_STOP_WORLD`
`static int` | `MONO_GC_EVENT_RECLAIM_END`
`static int` | `MONO_GC_EVENT_RECLAIM_START`
`static int` | `MONO_GC_EVENT_START`

Field Detail

### MONO_GC_EVENT_START

    static final int MONO_GC_EVENT_START

See Also:
  Constant Field Values

### MONO_GC_EVENT_MARK_START

    static final int MONO_GC_EVENT_MARK_START

See Also:
  Constant Field Values

### MONO_GC_EVENT_MARK_END

    static final int MONO_GC_EVENT_MARK_END

See Also:
  Constant Field Values

### MONO_GC_EVENT_RECLAIM_START

    static final int MONO_GC_EVENT_RECLAIM_START

See Also:
  Constant Field Values

### MONO_GC_EVENT_RECLAIM_END

    static final int MONO_GC_EVENT_RECLAIM_END

See Also:
  Constant Field Values

### MONO_GC_EVENT_END

    static final int MONO_GC_EVENT_END

See Also:
  Constant Field Values

### MONO_GC_EVENT_PRE_STOP_WORLD

    static final int MONO_GC_EVENT_PRE_STOP_WORLD

See Also:
  Constant Field Values

### MONO_GC_EVENT_POST_STOP_WORLD

    static final int MONO_GC_EVENT_POST_STOP_WORLD

See Also:
  Constant Field Values

### MONO_GC_EVENT_PRE_START_WORLD

    static final int MONO_GC_EVENT_PRE_START_WORLD

See Also:
  Constant Field Values

### MONO_GC_EVENT_POST_START_WORLD

    static final int MONO_GC_EVENT_POST_START_WORLD

See Also:
  Constant Field Values

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD